Get USD Withdrawal Request for a subaccount
curl --request GET \
--url https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"asset": {
"amount": "1000.0",
"assetType": "USD"
},
"customerDetails": {
"beneficiary": {
"address": {
"address": "123 Main Street",
"city": "Windsor",
"state": "Iowa",
"zipcode": "12312"
},
"name": "<string>",
"accountNumber": "<string>"
},
"financialInstitution": {
"code": "ABA",
"id": "<string>",
"address": {
"address": "123 Main Street",
"city": "Windsor",
"state": "Iowa",
"zipcode": "12312"
},
"name": "<string>"
},
"intermediateFinancialInstitution": {
"code": "ABA",
"id": "<string>",
"address": {
"address": "123 Main Street",
"city": "Windsor",
"state": "Iowa",
"zipcode": "12312"
},
"name": "<string>"
},
"memo": "<string>"
},
"status": "INITIATED"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Get USD Withdrawal Request for a subaccount
Permissions required: Subaccount Get a USD Withdrawal Request
GET
/
subaccounts
/
{subaccountId}
/
fiat
/
withdrawals
/
{transactionId}
Get USD Withdrawal Request for a subaccount
curl --request GET \
--url https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"asset": {
"amount": "1000.0",
"assetType": "USD"
},
"customerDetails": {
"beneficiary": {
"address": {
"address": "123 Main Street",
"city": "Windsor",
"state": "Iowa",
"zipcode": "12312"
},
"name": "<string>",
"accountNumber": "<string>"
},
"financialInstitution": {
"code": "ABA",
"id": "<string>",
"address": {
"address": "123 Main Street",
"city": "Windsor",
"state": "Iowa",
"zipcode": "12312"
},
"name": "<string>"
},
"intermediateFinancialInstitution": {
"code": "ABA",
"id": "<string>",
"address": {
"address": "123 Main Street",
"city": "Windsor",
"state": "Iowa",
"zipcode": "12312"
},
"name": "<string>"
},
"memo": "<string>"
},
"status": "INITIATED"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
Unique Identifier for the subaccount
Unique Identifier for the Withdrawal Transaction
Response
Get the Withdrawal Request
Show child attributes
Show child attributes
Related topics
Get USD Withdrawal Request for a subaccountCreate a USD Withdrawal Request for a subaccountFetches a set of Withdrawals Requests for a subaccountWas this page helpful?